<?php
/**
 * BookiFlex Payment Extension
 *
 * @package    BookiFlex
 * @subpackage Payment
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */


declare(strict_types=1);
namespace BookiFlex\Extensions\Payment\Util;

defined( 'ABSPATH' ) || exit;

class Util
{
    public static function transformGatewayName($value): ?string
    {
        if (is_string($value)) {
            return mb_ucfirst(str_replace('_', ' ', $value));
        }

        return null;
    }
}
